Module javafx.graphics
Package javafx.scene.effect

# Class Light

java.lang.Object
javafx.scene.effect.Light

Direct Known Subclasses:
  `Light.Distant`, `Light.Point`

    public abstract class Light
    extends Object

The abstract base class for all light implementations.

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `ObjectProperty<Color>` | `color` | The color of the light source.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `Light.Distant` | Represents a distant light source.
  `static class` | `Light.Point` | Represents a light source at a given position in 3D space.
  `static class` | `Light.Spot` | Represents a spot light source at a given position in 3D space, with configurable direction and focus.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `Light()` | Creates a new Light.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ObjectProperty<Color>` | `colorProperty()` | The color of the light source.
  `Color` | `getColor()` | Gets the value of the property color.
  `void` | `setColor​(Color value)` | Sets the value of the property color.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### color

    public final ObjectProperty<Color> colorProperty
    The color of the light source.

               Min: n/a
               Max: n/a
           Default: Color.WHITE
          Identity: n/a

    Default value:
      WHITE
    See Also:
      `getColor()`, `setColor(Color)`

- ## Constructor Details

  - ### Light

    protected Light()
    Creates a new Light.

- ## Method Details

  - ### setColor

    public final void setColor​(Color value)
    Sets the value of the property color.
    Property description:
      The color of the light source.

                 Min: n/a
                 Max: n/a
             Default: Color.WHITE
            Identity: n/a

    Default value:
      WHITE

  - ### getColor

    public final Color getColor()
    Gets the value of the property color.
    Property description:
      The color of the light source.

                 Min: n/a
                 Max: n/a
             Default: Color.WHITE
            Identity: n/a

    Default value:
      WHITE

  - ### colorProperty

    public final ObjectProperty<Color> colorProperty()
    The color of the light source.

               Min: n/a
               Max: n/a
           Default: Color.WHITE
          Identity: n/a

    Default value:
      WHITE
    See Also:
      `getColor()`, `setColor(Color)`